-- collect.sql

DECLARE
	TYPE salary_t IS TABLE OF NUMBER(9,2);
	emp_sal salary_t;
	emp_sum NUMBER(9,2) := 0;

BEGIN

	emp_sal := salary_t();

	emp_sal.EXTEND(5);

	emp_sal(1) := 5.5;
	emp_sal(2) := 6.5;
	emp_sal(3) := 6;
	emp_sal(4) := 5.5;
	emp_sal(5) := 8.5;

	FOR x IN 1 .. 5 LOOP
		emp_sum := emp_sum + emp_sal(x);
	END LOOP;

END;
/

